#[doc = "Register `STATUS` reader"]
pub type R = crate::R<StatusSpec>;
#[doc = "Field `VLCDR` reader - VLCD Ready"]
pub type VlcdrR = crate::BitReader;
#[doc = "Field `PRUN` reader - LCD Charge Pump is Running"]
pub type PrunR = crate::BitReader;
#[doc = "Field `VLCDS` reader - VLCD Status"]
pub type VlcdsR = crate::BitReader;
#[doc = "Field `CMWRBUSY` reader - Character mapping write busy"]
pub type CmwrbusyR = crate::BitReader;
#[doc = "Field `ACMBUSY` reader - ACM state machine busy"]
pub type AcmbusyR = crate::BitReader;
#[doc = "Field `ABMBUSY` reader - ABM state machine busy"]
pub type AbmbusyR = crate::BitReader;
impl R {
    #[doc = "Bit 0 - VLCD Ready"]
    #[inline(always)]
    pub fn vlcdr(&self) -> VlcdrR {
        VlcdrR::new((self.bits & 1) != 0)
    }
    #[doc = "Bit 1 - LCD Charge Pump is Running"]
    #[inline(always)]
    pub fn prun(&self) -> PrunR {
        PrunR::new(((self.bits >> 1) & 1) != 0)
    }
    #[doc = "Bit 2 - VLCD Status"]
    #[inline(always)]
    pub fn vlcds(&self) -> VlcdsR {
        VlcdsR::new(((self.bits >> 2) & 1) != 0)
    }
    #[doc = "Bit 3 - Character mapping write busy"]
    #[inline(always)]
    pub fn cmwrbusy(&self) -> CmwrbusyR {
        CmwrbusyR::new(((self.bits >> 3) & 1) != 0)
    }
    #[doc = "Bit 4 - ACM state machine busy"]
    #[inline(always)]
    pub fn acmbusy(&self) -> AcmbusyR {
        AcmbusyR::new(((self.bits >> 4) & 1) != 0)
    }
    #[doc = "Bit 5 - ABM state machine busy"]
    #[inline(always)]
    pub fn abmbusy(&self) -> AbmbusyR {
        AbmbusyR::new(((self.bits >> 5) & 1) != 0)
    }
}
#[doc = "Status\n\nYou can [`read`](crate::Reg::read) this register and get [`status::R`](R). See [API](https://docs.rs/svd2rust/#read--modify--write-api)."]
pub struct StatusSpec;
impl crate::RegisterSpec for StatusSpec {
    type Ux = u8;
}
#[doc = "`read()` method returns [`status::R`](R) reader structure"]
impl crate::Readable for StatusSpec {}
#[doc = "`reset()` method sets STATUS to value 0"]
impl crate::Resettable for StatusSpec {
    const RESET_VALUE: u8 = 0;
}
